org.apache.struts2.tiles

## Class StrutsFreeMarkerAttributeRenderer

- java.lang.Object
- - org.apache.struts2.tiles.StrutsFreeMarkerAttributeRenderer

- All Implemented Interfaces:
    org.apache.tiles.request.render.Renderer

      public class StrutsFreeMarkerAttributeRenderer
      extends Object
      implements org.apache.tiles.request.render.Renderer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StrutsFreeMarkerAttributeRenderer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isRenderable(String path, org.apache.tiles.request.Request request)`
    `protected ActionContext` | `readActionContext(org.apache.tiles.request.Request request)` Depending how Tiles definition was defined, request can an instance of JspRequest (for JSPs) or a ServletRequest (FreeMarker)
    `protected void` | `registerTilesBeanModel(ActionContext ctx)` This register dedicated BeanModel to support tiles tags.
    `void` | `render(String path, org.apache.tiles.request.Request request)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StrutsFreeMarkerAttributeRenderer

          public StrutsFreeMarkerAttributeRenderer()

  - ### Method Detail

    - #### render

          public void render(String path,
                             org.apache.tiles.request.Request request)
                      throws IOException

      Specified by:
        `render` in interface `org.apache.tiles.request.render.Renderer`
      Throws:
        `IOException`

    - #### readActionContext

          protected ActionContext readActionContext(org.apache.tiles.request.Request request)

      Depending how Tiles definition was defined, request can an instance of JspRequest (for JSPs) or a ServletRequest (FreeMarker)

    - #### isRenderable

          public boolean isRenderable(String path,
                                      org.apache.tiles.request.Request request)

      Specified by:
        `isRenderable` in interface `org.apache.tiles.request.render.Renderer`

    - #### registerTilesBeanModel

          protected void registerTilesBeanModel(ActionContext ctx)

      This register dedicated BeanModel to support tiles tags. It requires `JspSupportServlet` to be registered in web.xml

Copyright © 2000–2022 Apache Software Foundation. All rights reserved.